Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::SavableStateProxy Class Reference

Create a proxy for a SavableState object. More...

`#include <proxy.h>`

Inheritance diagram for sc::SavableStateProxy:

[legend]
Collaboration diagram for sc::SavableStateProxy:

[legend]
List of all members.

## Public Methods

Ref< DescribedClass > | object ()
| Return the object referred to by this proxy.
| SavableStateProxy (const Ref< KeyVal > &)
| Create the proxy with a Ref to a KeyVal object.

## Detailed Description

Create a proxy for a SavableState object.

This can be used to include an object that has been saved with SavableState in an input file for ParsedKeyVal.

The documentation for this class was generated from the following file:

- state/proxy.h